import { request } from '@umijs/max';

/**
 * 查询列表
 * @param {*} params
 * @returns
 */
export const getDishList = (params) => request('/dish', { params });


/**
 * 新增
 * @param {*} data
 * @returns
 */
export const addDish = (data) => request('/dish', { method: 'post', data });

/**
 * 新增
 *  @param {*} id
 * @param {*} data
 * @returns
 */
export const updataDish = (id, data) => request(`/dish/${id}`, { method: 'put', data });